/*
    MSGLIB - a message handling library
    Copyright (C) 1995,1997  Steffen Kaiser

    This library is free software; you can redistribute it and/or
    modify it under the terms of the GNU Library General Public
    License as published by the Free Software Foundation; either
    version 2 of the License, or (at your option) any later version.

    This library is distributed in the hope that it will be useful,
    but WITHOUT ANY WARRANTY; without even the implied warranty of
    MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the GNU
    Library General Public License for more details.

    You should have received a copy of the GNU Library General Public
    License along with this library; if not, write to the Free
    Software Foundation, Inc., 675 Mass Ave, Cambridge, MA 02139, USA.
    See: COPYING.LB
*/
/* $Id: MSGCONF2.H 1.1 1998/01/14 03:01:20 ska Exp $
   $Locker:  $	$Name:  $	$State: Exp $

	This holds configuration options for the method #2 to access messages.

*/

#ifndef __MSGCONF2_H
#define __MSGCONF2_H

#define MSGGROUPMAX 16
#define msgGroup(msg) ((msg) >> 12)
#define msgId(msg) ((msg) & 0xFFF)

#define MSGFILE int
#define MSGNOFILE -1

struct MsgStruct0 {					/* structure #0 */
	dword ms0_address;				/* first struct1 of this file */
	byte ms0_version;				/* version id */
	byte ms0_id[6];					/* message library id string */
};

struct MsgStruct1 {					/* structure #1 */
	word ms1_lng;					/* code of language */
	dword ms1_address;				/* next lng */
	byte ms1_group;					/* group id */
	word ms1_aliases;				/* number of aliases */
};

struct MsgStruct2 {					/* structure #2 */
	word ms2_num;					/* number of messages */
};

struct MsgStruct3 {					/* structure #3 */
	byte ms3_exitcode;				/* Exit code */
	word ms3_length;				/* length of message string */
};

#endif
